Bug 1310971 - [abrt] WARNING: CPU: 0 PID: 25685 at kernel/irq/manage.c:1379 __free_irq+0x93/0x220()
[abrt] WARNING: CPU: 0 PID: 25685 at kernel/irq/manage.c:1379 __free_irq+0x93...
Status: NEW
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
23
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:c8839049d90bf43155602525274...
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-23 00:40 EST by Thomas Spura
Modified: 2017-03-22 20:26 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-10-26 12:47:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: dmesg (193.01 KB, text/plain)
2016-02-23 00:40 EST, Thomas Spura
no flags Details
journalctl from faulty boot (274.89 KB, text/plain)
2016-12-28 17:10 EST, carl
no flags Details

  None (edit)
Description Thomas Spura 2016-02-23 00:40:12 EST
Additional info:
reporter:       libreport-2.6.4
WARNING: CPU: 0 PID: 25685 at kernel/irq/manage.c:1379 __free_irq+0x93/0x220()
Trying to free already-free IRQ 20
Modules linked in: rfcomm fuse xt_CHECKSUM ipt_MASQUERADE nf_nat_masquerade_ipv4 tun ccm cmac nf_conntrack_netbios_ns nf_conntrack_broadcast ip6t_rpfilter ip6t_REJECT nf_reject_ipv6 xt_conntrack ebtable_filter ebtable_broute bridge stp llc ebtable_nat ebtables ip6table_mangle ip6table_raw ip6table_security ip6table_nat nf_conntrack_ipv6 nf_defrag_ipv6 nf_nat_ipv6 ip6table_filter ip6_tables iptable_mangle iptable_raw iptable_security iptable_nat nf_conntrack_ipv4 nf_defrag_ipv4 nf_nat_ipv4 nf_nat nf_conntrack bnep intel_rapl iTCO_wdt iosf_mbi iTCO_vendor_support x86_pkg_temp_thermal coretemp kvm_intel uvcvideo kvm videobuf2_vmalloc snd_hda_codec_hdmi videobuf2_core videobuf2_memops v4l2_common videodev snd_hda_codec_realtek btusb snd_hda_codec_generic arc4 btrtl btbcm btintel media bluetooth
 snd_hda_intel iwldvm mac80211 snd_hda_codec snd_hda_core snd_hwdep iwlwifi snd_seq joydev snd_seq_device i2c_i801 snd_pcm cfg80211 lpc_ich snd_timer shpchp thinkpad_acpi wmi snd soundcore rfkill mei_me mei tpm_tis tpm nfsd auth_rpcgss nfs_acl lockd grace sunrpc dm_crypt i915 crct10dif_pclmul crc32_pclmul crc32c_intel i2c_algo_bit drm_kms_helper serio_raw e1000e sdhci_pci sdhci drm mmc_core ptp pps_core fjes video
CPU: 0 PID: 25685 Comm: kworker/u16:61 Not tainted 4.3.5-300.fc23.x86_64 #1
Hardware name: LENOVO 2325CN3/2325CN3, BIOS G2ET91WW (2.51 ) 01/14/2013
Workqueue: events_unbound async_run_entry_fn
 0000000000000000 0000000078a1df74 ffff880214a1bba0 ffffffff813a643f
 ffff880214a1bbe8 ffff880214a1bbd8 ffffffff810a07d2 ffff8800bc159400
 ffff8800368e0000 0000000000000014 ffff8800bc15949c ffff8800bc159400
Call Trace:
 [<ffffffff813a643f>] dump_stack+0x44/0x55
 [<ffffffff810a07d2>] warn_slowpath_common+0x82/0xc0
 [<ffffffff810a086c>] warn_slowpath_fmt+0x5c/0x80
 [<ffffffff811085c4>] ? lock_timer_base.isra.21+0x54/0x70
 [<ffffffff810f9623>] __free_irq+0x93/0x220
 [<ffffffff810f9849>] free_irq+0x49/0xb0
 [<ffffffffa00f4b5a>] e1000_free_irq+0x6a/0x70 [e1000e]
 [<ffffffffa00ffc6f>] e1000e_pm_freeze+0x7f/0xb0 [e1000e]
 [<ffffffffa00ffcc6>] e1000e_pm_suspend+0x26/0x40 [e1000e]
 [<ffffffff813f0c06>] pci_pm_suspend+0x76/0x140
 [<ffffffff813f0b90>] ? pci_pm_freeze+0xe0/0xe0
 [<ffffffff814e5a6a>] dpm_run_callback+0x7a/0xf0
 [<ffffffff814e6658>] __device_suspend+0x148/0x370
 [<ffffffff814e69df>] async_suspend+0x1f/0xa0
 [<ffffffff810c172a>] async_run_entry_fn+0x4a/0x140
 [<ffffffff810b8cee>] process_one_work+0x19e/0x3f0
 [<ffffffff810b8f8e>] worker_thread+0x4e/0x450
 [<ffffffff810b8f40>] ? process_one_work+0x3f0/0x3f0
 [<ffffffff810bedf8>] kthread+0xd8/0xf0
 [<ffffffff810bed20>] ? kthread_worker_fn+0x160/0x160
 [<ffffffff8178219f>] ret_from_fork+0x3f/0x70
 [<ffffffff810bed20>] ? kthread_worker_fn+0x160/0x160

Potential duplicate: bug 1259267
Comment 1 Thomas Spura 2016-02-23 00:40:25 EST
Created attachment 1129606 [details]
File: dmesg
Comment 2 carl 2016-04-05 04:32:28 EDT
Description of problem:
Happens occasionally (probably less than 50%?) when booting. the screen flickers on and off repeatedly. I've found that pushing the power button a few times will get me to the Gnome logon screen. However in these cases the network (wired) connection is not available (it is when it boots straight to the logon screen).

I've had a look through dmesg logs from both a good and a bad boot, and noticed that only the good one contains "[    1.137542] e1000e 0000:00:1f.6: enabling device (0000 -> 0002)"

Let me know if there is any other useful information that I can provide.

Slightly related, this motherboard also has onboard wireless, which does not work at all, but I'll worry about that ones the wired connection works properly.

Version-Release number of selected component:
kernel

Additional info:
reporter:       libreport-2.6.4
cmdline:        BOOT_IMAGE=/vmlinuz-4.4.6-300.fc23.x86_64 root=/dev/mapper/fedora_jonsbo-root ro rd.lvm.lv=fedora_jonsbo/root rd.lvm.lv=fedora_jonsbo/swap rhgb quiet LANG=en_NZ.UTF-8
kernel:         4.4.6-300.fc23.x86_64
runlevel:       N 5
type:           Kerneloops

Truncated backtrace:
WARNING: CPU: 2 PID: 1702 at kernel/irq/manage.c:1449 __free_irq+0xa4/0x2b0()
Trying to free already-free IRQ 16
Modules linked in: xt_CHECKSUM ipt_MASQUERADE nf_nat_masquerade_ipv4 tun cmac nf_conntrack_netbios_ns nf_conntrack_broadcast ip6t_rpfilter ip6t_REJECT nf_reject_ipv6 xt_conntrack ip_set nfnetlink ebtable_broute bridge ebtable_filter ebtable_nat ebtables ip6table_mangle ip6table_raw ip6table_security ip6table_nat nf_conntrack_ipv6 nf_defrag_ipv6 nf_nat_ipv6 ip6table_filter ip6_tables iptable_mangle iptable_raw iptable_security iptable_nat nf_conntrack_ipv4 nf_defrag_ipv4 nf_nat_ipv4 nf_nat nf_conntrack bnep arc4 rt2800usb rt2x00usb rt2800lib rt2x00lib crc_ccitt snd_hda_codec_hdmi intel_rapl snd_hda_codec_realtek vfat fat iosf_mbi snd_hda_codec_generic x86_pkg_temp_thermal coretemp kvm_intel kvm snd_hda_intel ath10k_pci ath10k_core irqbypass snd_hda_codec ath snd_hda_core mac80211 eeepc_wmi
 crct10dif_pclmul asus_wmi sparse_keymap mxm_wmi snd_hwdep crc32_pclmul snd_seq crc32c_intel snd_seq_device snd_pcm cfg80211 joydev snd_timer mei_me snd i2c_i801 btusb soundcore btrtl mei hci_uart shpchp btbcm btqca btintel pinctrl_sunrisepoint bluetooth wmi pinctrl_intel intel_lpss_acpi intel_lpss rfkill acpi_pad acpi_als kfifo_buf tpm_tis industrialio tpm nfsd auth_rpcgss nfs_acl lockd grace sunrpc 8021q garp stp llc mrp i915 e1000e i2c_algo_bit drm_kms_helper drm serio_raw ptp pps_core video i2c_hid fjes
CPU: 2 PID: 1702 Comm: kworker/u8:16 Not tainted 4.4.6-300.fc23.x86_64 #1
Hardware name: System manufacturer System Product Name/H170I-PLUS D3, BIOS 0403 09/10/2015
Workqueue: events_unbound async_run_entry_fn
 0000000000000086 00000000ced63203 ffff88043e71bba0 ffffffff813b542e
 ffff88043e71bbe8 ffffffff81a69eb7 ffff88043e71bbd8 ffffffff810a40f2
 0000000000000010 ffff88043d2f8000 0000000000000010 ffff88043e7d5e9c
Call Trace:
 [<ffffffff813b542e>] dump_stack+0x63/0x85
 [<ffffffff810a40f2>] warn_slowpath_common+0x82/0xc0
 [<ffffffff810a418c>] warn_slowpath_fmt+0x5c/0x80
 [<ffffffff813f59ec>] ? pci_bus_read_config_word+0x9c/0xb0
 [<ffffffff810fda04>] __free_irq+0xa4/0x2b0
 [<ffffffff810fdc99>] free_irq+0x39/0x90
 [<ffffffffa00e7b3a>] e1000_free_irq+0x6a/0x70 [e1000e]
 [<ffffffffa00f2c3f>] e1000e_pm_freeze+0x7f/0xb0 [e1000e]
 [<ffffffffa00f2c96>] e1000e_pm_suspend+0x26/0x40 [e1000e]
 [<ffffffff81401d96>] pci_pm_suspend+0x76/0x140
 [<ffffffff81401d20>] ? pci_pm_freeze+0xe0/0xe0
 [<ffffffff814fb36e>] dpm_run_callback+0x4e/0x140
 [<ffffffff814fc118>] __device_suspend+0x148/0x370
 [<ffffffff814fc35f>] async_suspend+0x1f/0xa0
 [<ffffffff810c4f9a>] async_run_entry_fn+0x4a/0x140
 [<ffffffff810bc596>] process_one_work+0x156/0x430
 [<ffffffff810bc8be>] worker_thread+0x4e/0x450
 [<ffffffff810bc870>] ? process_one_work+0x430/0x430
 [<ffffffff810c2648>] kthread+0xd8/0xf0
 [<ffffffff810c2570>] ? kthread_worker_fn+0x160/0x160
 [<ffffffff817a084f>] ret_from_fork+0x3f/0x70
 [<ffffffff810c2570>] ? kthread_worker_fn+0x160/0x160
Comment 3 Laura Abbott 2016-09-23 15:31:31 EDT
*********** MASS BUG UPDATE **************
 
We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 23 kernel bugs.
 
Fedora 23 has now been rebased to 4.7.4-100.fc23.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.
 
If you have moved on to Fedora 24 or 25, and are still experiencing this issue, please change the version to Fedora 24 or 25.
 
If you experience different issues, please open a new bug report for those.
Comment 4 Laura Abbott 2016-10-26 12:47:27 EDT
*********** MASS BUG UPDATE **************
This bug is being closed with INSUFFICIENT_DATA as there has not been a response in 4 weeks. If you are still experiencing this issue, please reopen and attach the relevant data from the latest kernel you are running and any data that might have been requested previously.
Comment 5 carl 2016-12-28 17:10 EST
Created attachment 1235745 [details]
journalctl from faulty boot

This is still an ongoing issue - sometimes intermittent, currently every boot - with now Fedora 25. As noted in my previous comment, the wired network device is not working in this state, though the wireless is.

Happy to help or provide more information if someone can guide me in the right direction.
Comment 6 carl 2016-12-29 16:34:50 EST
I realised that this time around the issue was occurring when I had a USB wifi device attached. After a few reboots with and without this, it seems to consistently trigger the issue.
Comment 7 carl 2017-03-22 20:26:17 EDT
This is still occurring, but I have also recently experienced it live-booting to a different distribution. So I assume it is not a Fedora issue, but I guess the underlying driver or perhaps the hardware? Any advice on where I should direct this to would be appreciated.

Note You need to log in before you can comment on or make changes to this bug.